package pubevents.addalerts;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import edu.washington.cac.calendar.CalParameter;
import pubevents.AdminServlet;
import pubevents.PEDefaults;
import pubevents.util.ConvertRoutines;
import uwcal.out.Page;

/** display alert entry form.
  
  @author Leman Chung
  @version 2.0
 */
public class AddAlertsDForm extends AdminServlet 
{
  public void performAction(HttpServletRequest req, HttpServletResponse res)
         throws IOException {
    PrintWriter out = res.getWriter();

    String templateFile = PEDefaults.ADD_ALERTS;

    String html_title = PEDefaults.ALERT_TITLE + "Add A New Alert.";
    ConvertRoutines conv = new ConvertRoutines();
    String currYear = conv.getCurrYear();
    String currDay  = conv.getCurrDay();
    String currMonthName = conv.getCurrMonthName();
    String currMonthNum  = conv.getCurrMonthNum();

    BufferedReader in = new BufferedReader(new InputStreamReader(
            this.getClass().getResourceAsStream(templateFile)));

    String aline = in.readLine();
    while (aline !=null) {
       if (aline.startsWith("%%%html_title")) {
              out.println(html_title);
       } else if (aline.startsWith("%%%logo")) {
              out.println(Page.LOGO);
       } else if (aline.startsWith("%%%" + CalParameter.FUNCTION)) {
              out.println("add");
       } else if (aline.startsWith("%%%" + CalParameter.START_MONTH)
                     || aline.startsWith("%%%" + CalParameter.END_MONTH)) {
              out.print("\"" + currMonthNum + "\">");
              out.print(currMonthName);
       } else if (aline.startsWith("%%%" + CalParameter.START_DAY)
                     || aline.startsWith("%%%" + CalParameter.END_DAY)) {
              out.println(currDay);
       } else if (aline.startsWith("%%%" + CalParameter.START_YEAR)
                     || aline.startsWith("%%%" + CalParameter.END_YEAR)) {
              out.println(currYear);
       } else if (aline.startsWith("%%%reset")) {
              out.println(" Clear ");
       } else if (aline.startsWith("%%%")) {
              // skip this line
       } else {
         out.println(aline);
       }
       aline = in.readLine();
    }
    in.close();
    out.close();
  }
}
