package pubevents.updtalerts;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import java.io.IOException;
import java.io.PrintWriter;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.text.SimpleDateFormat;
import java.util.Date;

import edu.washington.cac.calendar.CalParameter;
import edu.washington.cac.calendar.db.Fields;
import edu.washington.cac.calendar.db.Tables;
import edu.washington.cac.calendar.data.Sponsor;
import edu.washington.cac.calendar.data.Location;
import edu.washington.cac.calendar.data.CaldataException;

import pubevents.PEDefaults;
import pubevents.PEParameter;
import pubevents.addevents.SqlStatements;
import pubevents.util.ConvertRoutines;
import pubevents.util.PrintWebPage;

/** UpdtAlerts: update an existing alert.
 
  @author Leman Chung, Greg Barnes
  @version 1.0
 */
public class UpdtAlerts 
{
  /** Get SQL to add a redalert 
    @param eventid ID of the alert 
    @return SQL to add the redalert 
   */
  public static String addRedalert(int eventid)
  {
    return "insert into " + Tables.REDALERTS + " (" + 
           Fields.REVENT_ID.getInsertName() + ") values (" + eventid + ")";
  }

  /** Get SQL to delete a redalert 
    @param eventid ID of the alert 
    @return SQL to delete the redalert 
   */
  public static String deleteRedalert(int eventid)
  {
    return "delete from " + Tables.REDALERTS + " where " + 
           Fields.REVENT_ID.getInsertName() + "= " + eventid;
  }
 
  public UpdtAlerts(HttpServletRequest req, HttpServletResponse res, String uid)
      throws IOException, SQLException, CaldataException
  {
    SqlStatements sqlstmts = new SqlStatements();

    try {     
      PEParameter pep = new PEParameter(req);

      // update alert
      // sqlstmts.updateAlert(req);
    sqlstmts.updateEvents(req, Location.NO_LOCATION_ID, Sponsor.NO_SPONSOR_ID);


      // process red *alert* indicator
      ResultSet rs = sqlstmts.executeQuery(
                     "select * from "
                     + Tables.REDALERTS.getName() + " where " 
                     + Fields.REVENT_ID.getStmtName() + "="
                     + pep.getEventID());

      if (pep.getRedAlert()) {
        if (!rs.next()) {
          sqlstmts.executeUpdate(addRedalert(pep.getEventID()));
        }
      } else {
        if (rs.next()) {
          sqlstmts.executeUpdate(deleteRedalert(pep.getEventID()));
        }
      }
    } finally {
      sqlstmts.close();
    }
 
    res.setContentType("text/html");
    PrintWriter out = res.getWriter();
    new PrintWebPage(PEDefaults.ALERT_UPDATED, out);
    out.close();
  }

  /**
    Print out SQL to add and delete redalerts
    @param args ignored
   */
  public static void main(String[] args)
  {
    System.out.println(addRedalert(75));
    System.out.println(deleteRedalert(75));
  }
} 
