package pubevents.userlogin;

import java.sql.ResultSet;
import java.sql.SQLException;

import pubevents.PEDefaults;
import pubevents.PubEventsLoginServlet;
import pubevents.addevents.SqlStatements;

/** login page for someone who is authorized to add public events
  
  @author Leman Chung, Greg Barnes
  @version 2.1
 */
public class PubEventsLogin extends PubEventsLoginServlet
{
  /** @return a printable name for this servlet */
  protected String getName() 
  {
    return "Public Events Login";
  }

  /** @return the URL of the menu servlet */
  protected String menuUrl() 
  {
    return PEDefaults.MENU_URL;
  }

  /** @return The URL of the login page */
  protected String getStartURL()
  {
    return PEDefaults.LOGIN_URL;
  }

  /** @return the name of the 'not authorized' file for this servlet */
  protected String getNotAuthorizedFile()
  {
    return PEDefaults.NOT_YET_AUTHORIZED;
  }

  /** 
    @return Whether a user is authorized to log in
    @param uid User to check 
    @exception SQLException If there's a problem checking the database
   */
  protected boolean authorized(String uid) throws SQLException
  {
    return super.pubAuthorized(uid);
  }

  public String getServletInfo() 
  {
    return getName() + ": Start Public Events Session and redirect";
  }
}
