// java

package uwcal.out;

import edu.washington.cac.calendar.CalParameter;
import edu.washington.cac.calendar.MyCalendar;
import edu.washington.cac.calendar.data.Location;

/** A HelperPrinter for a location
    @author Greg Barnes
    @version 1.1
  */
public class LocationHelperPrinter extends HelperPrinter 
{
  Location l;

  /**
    Create a new instance
    @param l Location to print
    @param page Current page
   */
  LocationHelperPrinter(Location l, Page page) 
  {
    super(l, page);
    this.l = l;
  }

  /**
    Get a URL to edit the location
    @param today The current day
    @param sid Session identifier
    @return a URL to edit the location
   */
  public String editUrl(MyCalendar today, int sid) 
  {
    return EditLocation.url(today, this.l, this.page, sid);
  }

  private static final String DELETE_LOCATION_URL =
      WebResources.BASE_GET_URL + CalParameter.DELETELOCATION_FUNC + 
      Util.DATE_PARAM;

  /**
    Get a URL to delete the location
    @param today The current day
    @param sid Session identifier
    @return a URL to delete the location
   */
  public String deleteUrl(MyCalendar today, int sid) 
  {
    return Util.makeUrl (DELETE_LOCATION_URL, today, this.page,
                         Util.LOCATION_ID_PARAM, this.l.getId(), sid);
  }

  public String cName() 
  {
    return DisplayText.LOCATION;
  }
}
