// java

package uwcal.out;

import java.util.Calendar;

import org.apache.ecs.Element;
import org.apache.ecs.Entities;
import org.apache.ecs.html.TD;
import org.apache.ecs.html.TR;

import edu.washington.cac.calendar.MyCalendar;
import edu.washington.cac.calendar.data.EventsI;

public class SmallMonth extends Month 
{
    protected SmallMonth(MyCalendar mc, EventsI es, GridPrinter gp) {
	super(mc, es, gp);
    }

    private Element weekNumber(MyCalendar dayInWeek) {
	return new TD().
	  addElement(Util.linkItem(Weekview.url(dayInWeek),
	    DisplayText.WEEK_ABBR + dayInWeek.get(Calendar.WEEK_OF_YEAR),
	    Style.WEEK_NUMBER)).
	  setClass(Style.WEEK_NUMBER_CELL);
    }

    protected TR emptyWeek(MyCalendar dayInWeek) {
        return super.emptyWeek(dayInWeek).addElement(weekNumber(dayInWeek));
    }

    protected Element blankDay() {
        return new TD().addElement(Entities.NBSP);
    }
}
